#include "guess.h"
#include <bits/stdc++.h>
int find_number(int MAX) {
    int st, dr, mij;//, sol;
    st = 1;
    dr = MAX;
    mij = 0;
    while( dr - st > 1 ) {
        mij = ( st + dr ) / 2;
        if( smaller( mij ) )
            dr = mij;
        else
            st = mij;
    }
    return st;
}

